LINUX.ORG.RU

PHP 7.2.0

 

Ответ на: комментарий от dengolius

В качестве ЯП для сайтов визиток он в принципе не так уж и плох, да и с каждым релизом эволюционирует. Что закапывать или нет - рыночек решает, а не гикота с ЛОРа.

anonymous ()
Ответ на: комментарий от xfilx

Это всяко лучше, чем 5.3, в котором нету краткого объявления массивов, или 5.2, в котором нету анонимных функций. В 5.4 не хватает лишь всяких мелочей типа доступа к ключам у array_map. Ну и производительности, но кому она позарез нужна — можно накатить HHVM/KPHP.

bodqhrohro_promo ()
Ответ на: комментарий от Twissel

Меня больше порадовала причина.
«Оно старое и заброшенное, и пусть в нем нет явных уязвимостей, оно позволяет писать как угодно, а это слишком сложно - потому давайте выпилим нахрен». Какой-то гимн неосилятора.

pekmop1024 ★★★★★ ()
Ответ на: комментарий от pekmop1024

в pecl есть, для таких любителей «абы постарее».

для нормальных есть openssl давно. а теперь еще и sodium.

---

вообще, прежде чем что-то убирают из языка оно проходит deprecated стадию. и Mcrypt был давным давно deprecated.

Gemorroj ()
Ответ на: комментарий от anonymous

Consider this code, taken from the PHP docs somewhere.

@fopen('http://example.com/not-existing-file', 'r');

What will it do?

If PHP was compiled with --disable-url-fopen-wrapper, it won’t work. (Docs don’t say what “won’t work” means; returns null, throws exception?) Note that this flag was removed in PHP 5.2.5.

If allow_url_fopen is disabled in php.ini, this still won’t work. (How? No idea.)

Because of the @, the warning about the non-existent file won’t be printed.

But it will be printed if scream.enabled is set in php.ini.

Or if scream.enabled is set manually with ini_set.

But not if the right error_reporting level isn’t set.

If it is printed, exactly where it goes depends on display_errors, again in php.ini. Or ini_set.

I can’t tell how this innocuous function call will behave without consulting compile-time flags, server-wide configuration, and configuration done in my program. And this is all built in behavior.

provaton ★★★★★ ()
Последнее исправление: provaton (всего исправлений: 1)
Ответ на: комментарий от provaton

I can’t tell how this innocuous function call will behave without consulting compile-time flags, server-wide configuration, and configuration done in my program

Как будто это что-то плохое. Сейчас кругом IoC и невозможно сказать что как работает, пока не перекопаешь тонну yaml/xml. Малолетним школотронам лишь бы поумничать.

no-such-file ★★★★★ ()
Ответ на: комментарий от xfilx

Да, это же стабильный релиз для серьёзного дистрибутива, а не неоттестированное хипстерство для bleeding-edge.

Вот когда бесплатные бета-тестеры как следуют поюзают этот PHP7, выловят все бажики, вот тогда тебе его и завезут.

EXL ★★★★★ ()

Если бы в Пых внедрили поддержку фрейморков GTK3\Qt (нет, нормальную, а не это неюзабельное говно что похороненосуществует на сегодняшний день) - ему бы не было цены, можно было бы писать много востребованных программ, для которых низкоуровневые ЯП вроде С++ излишни, а всякие замысловатые ЯП вроде пицтона - неудобны.

vblats ()
Ответ на: комментарий от Twissel

Ну и сколько «легаси» теперь сломается?

Кхм.

расширение объявлено устаревшим в PHP 7.1.0

Который вышел уже давно. Кому надо было — переписали.

и перемещено в PECL в PHP 7.2.0.

Не сломается.

WereFox ★★ ()
Ответ на: комментарий от WereFox

Кому надо было — переписали.

По только моему опыту работы на фрилансе с иностранными хостингами, скажу - десятки тысяч человек, кто не разбирается в CMS, а просто продает собачек, детские носочки, оружие и тд - не переписали.

И им не феншуйно, когда хостинг а-ля Хостгатор решает накатить апдейтик, и в результате стайка гусят приносящих Хостгатору около 50000 уе в месяц судя по тарифу - стройными рядами идет искать другой хостинг.

vblats ()

Функция count будет возвращать значение 1 для скаляров и прочих не реализовавших интерфейс Countable

Вау, ещё один способ выстрелить себе в ногу.

yrs ()
Ответ на: комментарий от vblats

Есть хостинги, которые дают возможность выбора версии, причём для каждого домена по отдельности. Если при этом люди выбирают те, которые такой возможности не имеют и не могут ничего переделать самостоятельно — флаг им в руки. Рано или поздно что-то да сломают в любом случае.

WereFox ★★ ()
Ответ на: комментарий от yrs

Вау, ещё один способ выстрелить себе в ногу.

Что ТС, что этот... Оно давно так работает.

~ $ php -a
Interactive mode enabled

php > $a = 1;
php > $b = false;
php > $c = 2.5;
php > $d = 'test';
php > var_dump(count($a)); var_dump(count($b)); var_dump(count($c)); var_dump(count($d));
int(1)
int(1)
int(1)
int(1)
php > var_dump(count(new DateTime()));
int(1)
php > echo PHP_VERSION, "\n";
5.5.9-1ubuntu4.21
php >
~ $ vim test.php
~ $ cat test.php
<?php
class MyTestClass
{
}

$a = new MyTestClass();
var_dump(count($a));
~ $ php test.php
int(1)
А в так называемом «списке изменений» — ссылка на RFC.

WereFox ★★ ()
Ответ на: комментарий от WereFox

Да, я тупо перевел с ангельского, основательно не разобравшись в теме, посыпаюсь пеплом.

Вообще на опеннете новость много лучше написана.

Мимо-ТС

anonymous ()
Ответ на: комментарий от WereFox

Конечно есть. Только оправдание так себе...

Представь себе что ты купил себе телефон, звонишь с него на свои GSM, потом тебе прилетает апдейт и отныне твой телефон только CDMA.

Но посоны на форуме говорят, что есть кагбе телефоны, в которых можно выбирать GSM\CDMA, гы.

Ну а то что твой телефон теперь кирпич - вина разумеется не криворукого разработчика апдейта, а твоя, ты ведь сцуко должен был телепатически предугадать что через год напишут именно такой апдейт, и не выбирать конкретно эту модель телефона из сотни существующих на тот момент)))

vblats ()
Ответ на: комментарий от vblats

Аналогии кривые, ну да ладно.

ты ведь сцуко должен был телепатически предугадать что через год напишут именно такой апдейт

Ничего, что в документации указывают, что оно устарело? Если ты покупаешь телефон, у которого на ценнике написано, что оно через год при обновлении будет поддерживать только CDMA и ставишь обновление, которое удаляет поддержку нужной технологии - ты ССЗБ. И скажи, ты часть комментария про перенос в PECL специально проигнорировал? А то у тебя попоболь как-то странно выглядит. Такое впечатление, что ты сам пытаешься сесть на кактус, когда рядом кресло стоит.

WereFox ★★ ()
Последнее исправление: WereFox (всего исправлений: 1)
Ответ на: комментарий от pekmop1024

У пыха есть один огромный недостаток - отсутствие всякой вменяемой концепции. Пых постоянно тырит идеи отовсюду, нарушая обратную совместимость даже в минорных релизах. В нём реализованы хорошие вещи и даже правильным образом - но всё это какой-то дикий плагиат, причём вообще нет уверенности в том, что в каком-нибудь php 7.5. они не заменят один плагиат на другой, порушив процентов 20 приложений на пыхе. Раньше вероятность такого исхода была выше, но и сейчас вполне существует. В целом пых становится явно лучше, но при этом всё равно уважения не вызывает: это не язык, а «политическая проститутка».

DRVTiny ★★★★★ ()
Ответ на: комментарий от vblats

Если бы в Пых внедрили поддержку фрейморков GTK3\Qt

Да ты смеёшься что ли. Питон/Руби не сложнее. Если совсем ничего не умеешь - берешь Гамбас какой-нибудь или Лазарус. Нахрен пхп то.

Clayman ()
Ответ на: комментарий от DRVTiny

Пых постоянно тырит идеи отовсюду

Как говориться, завидуйте молча.

отсутствие всякой вменяемой концепции

Наоборот, есть ясная и вменяемая концепция - делать коммерчески удобный и успешный язык.

это не язык, а «политическая проститутка».

Для кого-то проституция, а для кого-то честные рыночные отношения. Как посмотреть.

no-such-file ★★★★★ ()